package nl.is.kc.generiek.ui;

import nl.is.kc.generiek.ui.handlers.FormHandler;

import org.apache.wicket.ajax.AjaxRequestTarget;
import org.apache.wicket.ajax.markup.html.form.AjaxButton;
import org.apache.wicket.markup.html.form.Button;
import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.panel.Panel;

public class KnoppenPanel<T extends Form<?>> extends Panel {

	private static final long serialVersionUID = -3699584117490623926L;
	private FormHandler<T> handler;
	private final boolean voegAjaxOndersteuningToe;

	public KnoppenPanel(String id, FormHandler<T> handler) {
		this(id, handler, false);
	}

	public KnoppenPanel(String id, FormHandler<T> handler,
			boolean voegAjaxOndersteuningToe) {
		super(id);
		this.handler = handler;
		this.voegAjaxOndersteuningToe = voegAjaxOndersteuningToe;
		add(createOkButton());
		add(createCancelButton());
	}

	private Button createCancelButton() {
		return new Button("cancel") {
			private static final long serialVersionUID = 4161592312810621383L;

			@SuppressWarnings("unchecked")
			@Override
			public void onSubmit() {
				KnoppenPanel.this.handler.onCancel((T) getForm());
			}
		};
	}

	private Button createOkButton() {
		if (voegAjaxOndersteuningToe) {
			return (Button) new AjaxButton("submit") {
				private static final long serialVersionUID = -5348819110986085385L;

				@SuppressWarnings("unchecked")
				@Override
				protected void onSubmit(AjaxRequestTarget target, Form<?> form) {
					KnoppenPanel.this.handler.onOk((T) form, target);

				}

				@Override
				protected void onError(AjaxRequestTarget target, Form<?> form) {
					// doe niets
				}
			};
		} else {
			return new Button("submit") {
				private static final long serialVersionUID = 4161592312810621383L;

				@SuppressWarnings("unchecked")
				@Override
				public void onSubmit() {
					KnoppenPanel.this.handler.onOk((T) getForm(), null);
				}
			};
		}
	}

}
