package nl.is.kc.generiek.ui;

import org.apache.wicket.AttributeModifier;
import org.apache.wicket.Component;
import org.apache.wicket.behavior.Behavior;
import org.apache.wicket.markup.html.IHeaderResponse;
import org.apache.wicket.request.resource.CssResourceReference;

public class MyNiceTooltipBehavior extends Behavior {

	private static final long serialVersionUID = -6011115057931700064L;
	private final String tooltip;

	public MyNiceTooltipBehavior(String tooltip) {
		this.tooltip = tooltip;
	}

	@Override
	public void renderHead(Component component, IHeaderResponse response) {
		response.renderCSSReference(new CssResourceReference(
				MyNiceTooltipBehavior.class, "MyNiceTooltip.css"));
		super.renderHead(component, response);
	}

	@Override
	public void bind(Component component) {
		super.bind(component);
		component.add(AttributeModifier.append("onmouseover", "alert('"
				+ tooltip + "');"));
	}

}
