package nl.is.kc.koffiemanager.ui;

import javax.inject.Inject;

import nl.is.kc.generiek.domain.KoffieDrinker;
import nl.is.kc.generiek.ui.Cdi;
import nl.is.kc.koffiemanager.srv.KoffieManager;

import org.apache.wicket.authroles.authentication.AuthenticatedWebSession;
import org.apache.wicket.authroles.authorization.strategies.role.Roles;
import org.apache.wicket.request.Request;

public class KoffieManagerSession extends AuthenticatedWebSession {

	private static final long serialVersionUID = -521288848503890363L;

	public KoffieManagerSession(Request request) {
		super(request);
		Cdi.inject(this);
	}

	@Inject
	KoffieManager manager;

	private KoffieDrinker ingelogdeKoffieDrinker;

	private Roles huidigeRollen = new Roles();

	public KoffieDrinker getIngelogdeKoffieDrinker() {
		return ingelogdeKoffieDrinker;
	}

	public void setIngelogdeKoffieDrinker(KoffieDrinker ingelogdeKoffieDrinker) {
		this.ingelogdeKoffieDrinker = ingelogdeKoffieDrinker;
	}

	@Override
	public boolean authenticate(String username, String password) {
		KoffieDrinker drinker = manager.getKoffieDrinker(username, password);
		boolean geldigLogin;
		if (drinker != null) {
			ingelogdeKoffieDrinker = drinker;
			huidigeRollen = new Roles("ADMIN");
			geldigLogin = true;
		} else {
			huidigeRollen = new Roles();
			geldigLogin = false;
		}
		return geldigLogin;
	}

	@Override
	public Roles getRoles() {
		return huidigeRollen;
	}

}
