package nl.is.kc.koffiemanager.ui;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import nl.is.kc.generiek.domain.Bestelling;
import nl.is.kc.generiek.ui.LogoutPanel;
import nl.is.kc.koffiemanager.ui.admin.BeheerKoffieApp;
import nl.is.kc.koffiemanager.ui.bestellingen.AddBestellingForm;
import nl.is.kc.koffiemanager.ui.bestellingen.model.BestellingModel;
import nl.is.kc.koffiemanager.ui.muteerdrinkers.AddKoffieDrinkerPage;
import nl.is.kc.koffiemanager.ui.muteerdrinkers.KoffieDrinkerPage;

import org.apache.wicket.markup.html.WebMarkupContainer;
import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.link.BookmarkablePageLink;
import org.apache.wicket.markup.html.list.ListItem;
import org.apache.wicket.markup.html.list.ListView;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.Model;

public class MasterPage extends WebPage {

	public static final String BESTELLINGEN_LST = "bestellingContainer";
	private static final long serialVersionUID = 5364208053875573055L;

	public MasterPage() {
		add(new BookmarkablePageLink<Void>("addKoffiedrinker",
				AddKoffieDrinkerPage.class));
		add(new BookmarkablePageLink<Void>("homePage", HomePage.class));
		add(new BookmarkablePageLink<Void>("koffiedrinkersPage",
				KoffieDrinkerPage.class));
		add(new BookmarkablePageLink<Void>("admin", BeheerKoffieApp.class));
		add(new LogoutPanel("logoutpanel"));

		add(new Label("koffietijd", "Het is koffietijd"));
		add(new Label("huidigeTijd", new Model() {
			@Override
			public Serializable getObject() {
				System.out.println("Geeft object");
				return new Date().toString();
			}
		}));

		WebMarkupContainer bestellingContainer = new WebMarkupContainer(
				"bestellingContainer");
		bestellingContainer.add(new AddBestellingForm("bestellingFrm"));
		bestellingContainer.add(new BestellingList("bestellingen",
				new BestellingModel()));
		add(bestellingContainer.setOutputMarkupId(true));
	}

	private class BestellingList extends ListView<Bestelling> {

		private static final long serialVersionUID = 4711189953515917695L;

		public BestellingList(String id, IModel<List<Bestelling>> model) {
			super(id, model);
		}

		@Override
		protected void populateItem(ListItem<Bestelling> item) {
			Bestelling bestelling = item.getModelObject();
			item.add(new Label("naam", bestelling.getDrinker().getName()
					.getFullName()));
			item.add(new Label("soort", bestelling.getSoort().getNaam()));
		}

	}
}
