package nl.is.kc.koffiemanager.ui.bestellingen;

import javax.inject.Inject;

import nl.is.kc.generiek.domain.Bestelling;
import nl.is.kc.generiek.ui.Cdi;
import nl.is.kc.generiek.ui.handlers.FormHandler;
import nl.is.kc.koffiemanager.srv.KoffieManager;
import nl.is.kc.koffiemanager.ui.MasterPage;

import org.apache.wicket.Component;
import org.apache.wicket.ajax.AjaxRequestTarget;

public class AddBestellingHandler implements FormHandler<AddBestellingForm> {

	private static final long serialVersionUID = 1003983698830324690L;

	@Inject
	KoffieManager manager;

	public AddBestellingHandler() {
		Cdi.inject(this);
	}

	public void onOk(AddBestellingForm form, AjaxRequestTarget target) {
		Component bestellingenLst = form.getPage().get(
				MasterPage.BESTELLINGEN_LST);
		target.add(bestellingenLst);
		manager.addBestelling(form.getModelObject());
		form.setModelObject(new Bestelling());
	}

	public void onCancel(AddBestellingForm form) {
		// doe niets
	}

}
