package nl.is.kc.koffiemanager.ui.bestellingen;

import nl.is.kc.generiek.domain.Bestelling;
import nl.is.kc.generiek.domain.KoffieDrinker;
import nl.is.kc.generiek.domain.KoffieSoort;
import nl.is.kc.koffiemanager.ui.bestellingen.model.KoffieDrinkerModel;
import nl.is.kc.koffiemanager.ui.muteerdrinkers.model.KoffieSoortenModel;

import org.apache.wicket.markup.html.form.ChoiceRenderer;
import org.apache.wicket.markup.html.form.DropDownChoice;
import org.apache.wicket.markup.html.panel.Panel;

public class AddBestellingPanel extends Panel {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1244568056497076243L;

	public AddBestellingPanel(String id) {
		super(id);
		add(createLstKoffieDrinker());
		add(createLstKoffieSoort());
	}

	private DropDownChoice<KoffieDrinker> createLstKoffieDrinker() {
		DropDownChoice<KoffieDrinker> lstKoffieDrinker = new DropDownChoice<KoffieDrinker>(
				Bestelling.PROP_DRINKER, new KoffieDrinkerModel());
		ChoiceRenderer<KoffieDrinker> koffieSoortRenderer = new ChoiceRenderer<KoffieDrinker>(
				KoffieDrinker.PROP_FULL_NAME, KoffieDrinker.PROP_ID);
		lstKoffieDrinker.setChoiceRenderer(koffieSoortRenderer);
		return lstKoffieDrinker;
	}

	private DropDownChoice<KoffieSoort> createLstKoffieSoort() {
		DropDownChoice<KoffieSoort> lstKoffieSoort = new DropDownChoice<KoffieSoort>(
				Bestelling.PROP_SOORT, new KoffieSoortenModel());
		ChoiceRenderer<KoffieSoort> koffieSoortRenderer = new ChoiceRenderer<KoffieSoort>(
				KoffieSoort.PROP_NAAM, KoffieSoort.PROP_ID);
		lstKoffieSoort.setChoiceRenderer(koffieSoortRenderer);
		return lstKoffieSoort;
	}

}
