package nl.is.kc.koffiemanager.ui.domain;

import java.util.Locale;

import nl.is.kc.generiek.domain.Name;

import org.apache.wicket.util.convert.ConversionException;
import org.apache.wicket.util.convert.IConverter;

public class NameConverter implements IConverter<Name> {

	private static final String MESSAGE_VAR_INVALID_NAME = "invalidName";
	private static final String MESSAGE_KEY = "nameconvertermessage";
	private static final long serialVersionUID = -8149114833997481782L;

	public Name convertToObject(String value, Locale arg1) {
		if (value.contains(" ")) {
			String[] nameparts = value.split(" ", 2);
			return new Name(nameparts[0], nameparts[1]);
		} else {
			ConversionException exception = new ConversionException(
					"Ongeldige naam: " + value);
			exception.setResourceKey(MESSAGE_KEY);
			exception.setVariable(MESSAGE_VAR_INVALID_NAME, value);
			throw exception;
		}
	}

	public String convertToString(Name name, Locale arg1) {
		return name.getFullName();
	}

}
