package nl.is.kc.koffiemanager.ui.muteerdrinkers;

import nl.is.kc.generiek.domain.KoffieDrinker;
import nl.is.kc.generiek.ui.KnoppenPanel;
import nl.is.kc.koffiemanager.ui.muteerdrinkers.handler.MuteerKoffieDrinkHandler;

import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.panel.FeedbackPanel;
import org.apache.wicket.model.CompoundPropertyModel;
import org.apache.wicket.model.IModel;

public class AddKoffieDrinkerForm extends Form<KoffieDrinker> {

	public AddKoffieDrinkerForm(String id, KoffieDrinker model) {
		super(id, new CompoundPropertyModel<KoffieDrinker>(model));
		add(new FeedbackPanel("feedback"));
		add(createPanel(getModel()));
		add(new KnoppenPanel("knoppenPanel", new MuteerKoffieDrinkHandler()));
	}

	private MuteerDrinkersPanel createPanel(IModel<KoffieDrinker> model) {
		MuteerDrinkersPanel panel = new MuteerDrinkersPanel(
				"muteerDrinkerPanel", model);
		panel.setDefaultModel(getDefaultModel());
		panel.getTxtName().setRequired(true);
		panel.getTxtMinAantalKoffie().setMinimum(0).setMaximum(9)
				.setRequired(true);
		return panel;
	}

	private static final long serialVersionUID = -3448419631177520663L;

}
