package nl.is.kc.koffiemanager.ui.muteerdrinkers;

import java.util.List;

import nl.is.kc.generiek.domain.KoffieDrinker;
import nl.is.kc.koffiemanager.ui.MasterPage;
import nl.is.kc.koffiemanager.ui.muteerdrinkers.model.KoffieDrinkersListModel;
import nl.is.kc.koffiemanager.ui.raadpleegdrinkers.KoffieDrinkerDetails;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.link.BookmarkablePageLink;
import org.apache.wicket.markup.html.list.ListItem;
import org.apache.wicket.markup.html.list.PageableListView;
import org.apache.wicket.markup.html.navigation.paging.PagingNavigator;
import org.apache.wicket.model.IModel;

public class KoffieDrinkerPage extends MasterPage {

	private static final long serialVersionUID = -3281740737777196263L;

	private final class KoffieDrinkersList extends
			PageableListView<KoffieDrinker> {
		private static final long serialVersionUID = 1832833924360660792L;

		private KoffieDrinkersList(String id,
				IModel<? extends List<? extends KoffieDrinker>> model,
				int itemsPerPage) {
			super(id, model, itemsPerPage);
		}

		@Override
		protected void populateItem(ListItem<KoffieDrinker> item) {
			KoffieDrinker drinker = item.getModelObject();
			item.add(new Label("koffiedrinkerNaam", drinker.getName()
					.getVoornaam()));
			item.add(new Label("soortKoffie", drinker.getFavorieteSoort()
					.getNaam()));
			item.add(new Label("koppenKoffie", Integer.toString(drinker
					.getMinimumAantalKoffiePerDag())));

			item.add(new BookmarkablePageLink<Void>("koffiedrinkerLink",
					KoffieDrinkerDetails.class, KoffieDrinkerDetails
							.createPageParams(drinker)));
		}
	}

	public KoffieDrinkerPage() {

		PageableListView<KoffieDrinker> koffieDrinkersLijst = createKoffieDrinkersLijst();

		add(new PagingNavigator("paging", koffieDrinkersLijst));
		add(koffieDrinkersLijst);
	}

	private PageableListView<KoffieDrinker> createKoffieDrinkersLijst() {
		PageableListView<KoffieDrinker> lstKoffieDrinkers = new KoffieDrinkersList(
				"koffiedrinkersList", new KoffieDrinkersListModel(), 2);
		return lstKoffieDrinkers;
	}
}
