package nl.is.kc.koffiemanager.ui.muteerdrinkers;

import nl.is.kc.generiek.domain.KoffieDrinker;
import nl.is.kc.generiek.domain.KoffieSoort;
import nl.is.kc.generiek.domain.Name;
import nl.is.kc.koffiemanager.ui.muteerdrinkers.model.KoffieSoortenModel;

import org.apache.wicket.markup.html.form.ChoiceRenderer;
import org.apache.wicket.markup.html.form.ListChoice;
import org.apache.wicket.markup.html.form.NumberTextField;
import org.apache.wicket.markup.html.form.TextField;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.IModel;

public class MuteerDrinkersPanel extends Panel {

	private static final long serialVersionUID = 7533332986409967079L;

	private TextField<Name> txtName;
	private NumberTextField<Integer> txtMinAantalKoffie;
	private ListChoice<KoffieSoort> lstKoffieSoort;

	public MuteerDrinkersPanel(String id, IModel<KoffieDrinker> model) {
		super(id);
		txtName = new TextField<Name>(KoffieDrinker.PROP_NAME);
		txtMinAantalKoffie = new NumberTextField<Integer>(
				KoffieDrinker.PROP_AANTAL_PER_DAG);

		lstKoffieSoort = createLstKoffieSoort();

		add(lstKoffieSoort);
		add(txtName);
		add(txtMinAantalKoffie);
	}

	private ListChoice<KoffieSoort> createLstKoffieSoort() {
		ListChoice<KoffieSoort> lstKoffieSoort = new ListChoice<KoffieSoort>(
				KoffieDrinker.PROP_FAVORIETE_SOORT, new KoffieSoortenModel());
		ChoiceRenderer<KoffieSoort> koffieSoortRenderer = new ChoiceRenderer<KoffieSoort>(
				"naam", "id");
		lstKoffieSoort.setChoiceRenderer(koffieSoortRenderer);
		return lstKoffieSoort;
	}

	public TextField<Name> getTxtName() {
		return txtName;
	}

	public NumberTextField<Integer> getTxtMinAantalKoffie() {
		return txtMinAantalKoffie;
	}

	public ListChoice<KoffieSoort> getLstKoffieSoort() {
		return lstKoffieSoort;
	}

}
