package nl.is.kc.koffiemanager.ui.raadpleegdrinkers;

import javax.inject.Inject;

import nl.is.kc.generiek.domain.KoffieDrinker;
import nl.is.kc.koffiemanager.srv.KoffieManager;
import nl.is.kc.koffiemanager.ui.MasterPage;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.request.mapper.parameter.PageParameters;
import org.apache.wicket.util.string.StringValue;

public class KoffieDrinkerDetails extends MasterPage {

	private static final long serialVersionUID = -6355996934596788467L;

	public static final String PAGE_PARAM_KOFFIEDRINKER_ID = "id";

	public static final PageParameters createPageParams(KoffieDrinker drinker) {
		PageParameters params = new PageParameters();
		params.add(KoffieDrinkerDetails.PAGE_PARAM_KOFFIEDRINKER_ID,
				drinker.getId());
		return params;
	}

	@Inject
	KoffieManager manager;

	public KoffieDrinkerDetails(PageParameters params) {
		StringValue idValue = params.get(PAGE_PARAM_KOFFIEDRINKER_ID);
		long koffiedrinkerId = idValue.toLong();
		KoffieDrinker drinker = manager.getKoffieDrinkerById(koffiedrinkerId);
		addKoffiedrinkerDetailsComponents(drinker);
	}

	private void addKoffiedrinkerDetailsComponents(KoffieDrinker drinker) {
		add(new Label("naam", drinker.getName().getFullName()));

	}

	public KoffieDrinkerDetails(KoffieDrinker drinker) {
		addKoffiedrinkerDetailsComponents(drinker);
	}
}
